### Method

# Gio TlsCertificate get_dns_names

since: 2.70

#### Declaration

    GPtrArray*
    g_tls_certificate_get_dns_names (
      GTlsCertificate* cert
    )

#### Description

Gets the value of `GTlsCertificate:dns-names`.

Available since: 2.70

Gets property | `Gio.TlsCertificate:dns-names`

#### Return value

Type: An array of `GBytes*`

A `GPtrArray` of `GBytes` elements, or `NULL` if it’s not available.

The caller of the method takes ownership of the data container, but not the data inside it.
The return value can be `NULL`.